AUPHONE(1)

NAME
auphone - a simple telephone client

SYNOPSIS
auphone [-a servername] [-v volume] [-l latency] [-r filename]

DESCRIPTION
auphone allows two-way real time voice communication between two audio servers.

OPTIONS
The following options can be used with auphone:

-a servername
    This option specifies the audio server to which auphone should connect.

-v volume
    This is the volume, in percent, for the incoming ring sound. The default is 15 percent.

-l latency
    This is the latency, in seconds, of the auphone connection. A lower value will result in better real-time communications at the expense of possibly overloading the server (causing dropouts) and a greater network duty cycle. A higher value will lessen the load on the server and decrease the network duty cycle but will increase the communications delay. The default value is .25 seconds.

-r filename
    You can personalize your incoming ringing sound using the -r option. Simply specify the filename of an audio file to use for the incoming ring sound. Note that this sound will be looped.

USAGE
To place a call, enter the address of the audio server that you wish to connect with in the Who text field. Then hit RETURN or click on the Call button. If the callee is accepting calls, you should hear a ringing sound. If the callee answers, the username and server address of the callee will be displayed. To disconnect, click on the Hangup button.

To receive incoming calls, you must already be running auphone. To answer an incoming call, click on the Answer button. You may also determine who's calling before you answer by clicking on the Caller ID button.

Once you're connected, the Volume slider controls the volume of the speaker output and the Input Gain slider and Input Mode toggle control the gain and mode of the microphone or line input.

AUPHONE AND THE ATHENA WIDGET SET
auphone uses the X Toolkit Intrinsics and the Athena Widget Set. For more information, see the Athena Widget Set documentation.

ENVIRONMENT
In addition to the standard toolkit environment variables, the following environment variables are used by auphone:

AUDIOSERVER
    This variable specifies the default audio server to contact if -a is not specified on the command line. If this variable is not set and the -a is not specified on the command line, auphone will attempt to connect to the audio server running on the X Window System display.

SEE ALSO
nas(1), X(1)

COPYRIGHT
Copyright 1993 Network Computing Devices, Inc.

AUTHOR
Greg Renda, Network Computing Devices, Inc.